<?php
declare(strict_types=1);

namespace App\Entity\Booking;

//use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
//#[Auditable]
#[ORM\Table(name: 'BookingRecur')]
#[ORM\Entity]
class OrganizationHolidayRecur extends AbstractBookingRecur
{
    #[ORM\Column(length: 255, nullable: false)]
    private string $discr = 'organizationholiday';

    #[ORM\ManyToOne(inversedBy: 'eventRecur')]
    private OrganizationHoliday $event;

    public function getDiscr(): ?string
    {
        return $this->discr;
    }

    public function setDiscr(string $discr): self
    {
        $this->discr = $discr;

        return $this;
    }

    public function getEvent(): ?OrganizationHoliday
    {
        return $this->event;
    }

    public function setEvent(?OrganizationHoliday $event): self
    {
        $this->event = $event;

        return $this;
    }
}